summaryrefslogtreecommitdiff
path: root/samples/python_sample.sh
diff options
context:
space:
mode:
authorMark Klara <mrhappyasthma@google.com>2015-12-03 20:30:54 -0800
committerMark Klara <mrhappyasthma@google.com>2016-01-19 14:31:17 -0800
commit69a31b807a85e9a5ca4efb839f37ecb6dcf3eed5 (patch)
tree1b20b2ec1aa2749b693122ced5b3394cc355cb08 /samples/python_sample.sh
parentd75d29e2feb23debf2745c185a328294aa80d8be (diff)
downloadflatbuffers-69a31b807a85e9a5ca4efb839f37ecb6dcf3eed5.tar.gz
flatbuffers-69a31b807a85e9a5ca4efb839f37ecb6dcf3eed5.tar.bz2
flatbuffers-69a31b807a85e9a5ca4efb839f37ecb6dcf3eed5.zip
Revamping the FlatBuffers docs.
Adding an API reference for the supported languages. General docs cleanup, including a new `tutorial` section that supports all of the supported languages. Added samples for each supported language to mirror the new tutorial page. Cleaned up all the links by making them `@ref` style links, instead of referencing the names of the generated `.html` files. Removed all generated files that were unnecessarily committed. Also fixed the C# tests (two were failing due to a missing file). Bug: b/25801305 Tested: Tested all samples on Ubuntu, Mac, and Android. Docs were generated using doxygen and viewed on Chrome. Change-Id: I2acaba6e332a15ae2deff5f26a4a25da7bd2c954
Diffstat (limited to 'samples/python_sample.sh')
-rwxr-xr-xsamples/python_sample.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/samples/python_sample.sh b/samples/python_sample.sh
new file mode 100755
index 00000000..9148c7d8
--- /dev/null
+++ b/samples/python_sample.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+# Copyright 2015 Google Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Note: This script runs on Mac and Linux. It requires `python` to be installed
+# and `flatc` to be built (using `cmake` in the root directory).
+
+sampledir=$(cd $(dirname $BASH_SOURCE) && pwd)
+rootdir=$(cd $sampledir/.. && pwd)
+currentdir=$(pwd)
+
+if [[ "$sampledir" != "$currentdir" ]]; then
+ echo Error: This script must be run from inside the $sampledir directory.
+ echo You executed it from the $currentdir directory.
+ exit 1
+fi
+
+# Run `flatc`. Note: This requires you to compile using `cmake` from the
+# root `/flatbuffers` directory.
+if [ -e ../flatc ]; then
+ ../flatc --python monster.fbs
+elif [ -e ../Debug/flatc ]; then
+ ../Debug/flatc --python monster.fbs
+else
+ echo 'flatc' could not be found. Make sure to build FlatBuffers from the \
+ $rootdir directory.
+ exit 1
+fi
+
+echo Running the Python sample.
+
+# Execute the sample.
+python sample_binary.py
+
+# Clean up the temporary files.
+rm -rf MyGame